Bug 13962 - Add vendor to the acq tab on the details page in staff client
Summary: Add vendor to the acq tab on the details page in staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-07 14:38 UTC by Katrin Fischer
Modified: 2016-06-21 21:40 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13962: Add vendor to acq details tab in staff (2.63 KB, patch)
2015-06-09 22:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13962: Add vendor to acq details tab in staff (2.68 KB, patch)
2015-06-10 03:53 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 13962: Add vendor to acq details tab in staff (2.74 KB, patch)
2015-06-16 16:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13962: Add link to the vendor detail page (1.90 KB, patch)
2015-06-16 16:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-04-07 14:38:41 UTC
When using AcquisitionDetails a new tab is shown on the staff client detail page that shows order information from the acquisition module.

Feedback at our user meeting was, that it would be nice to see the vendor for the orders there as well.
Comment 1 Katrin Fischer 2015-06-09 22:40:23 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2015-06-10 03:53:32 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-16 16:17:46 UTC
Created attachment 40192 [details] [review]
Bug 13962: Add vendor to acq details tab in staff

Implementing some feedback from our user meeting:
The acquisition details tab on the detail page
in staff should also show the vendor of the
order.

To test:
- Make sure AcquisitionDetails is active.
- Create an order or look up an order in the
  acqusition module.
- Go to the ordered record and check the
  'Acquisition details' tab
- Verify the vendor shows up there as first
  column now
- Check that sorting and display of the other
  columns are still working correctly

Note: Also fixes a </th> that should be a </td>
Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Jonathan Druart 2015-06-16 16:17:51 UTC
Created attachment 40193 [details] [review]
Bug 13962: Add link to the vendor detail page

This patch 1/ uses the class of the th to filter the columns and 2/ adds
a link on the vendor name to the vendor detail page.

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 5 Jonathan Druart 2015-06-16 16:18:52 UTC
Katrin, could you quickly confirm that you agree with my follow-up?
Comment 6 Jonathan Druart 2015-06-16 16:19:59 UTC
(In reply to Jonathan Druart from comment #5)
> Katrin, could you quickly confirm that you agree with my follow-up?

I was not expected a quick answer, but just to have a quick look :)
Comment 7 Tomás Cohen Arazi 2015-06-23 13:23:12 UTC
Patches pushed to master.

Thanks Katrina!